Skip to main content
GET
/
api
/
v1
/
signals
List signals
curl --request GET \
  --url https://app.lucenthq.com/api/v1/signals \
  --header 'Authorization: Bearer <token>'
{
  "signals": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "prompt": "<string>",
      "status": "<string>",
      "backfillStatus": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "matchCount": 1,
      "lastMatchAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucenthq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API keys prefixed with luc_api_ or OAuth access tokens prefixed with luc_oat_. Legacy static keys prefixed with luc_mcp_ continue to work.

Query Parameters

limit
integer
default:50

Maximum signals to return.

Required range: 1 <= x <= 200
cursor
string

Opaque pagination cursor returned as nextCursor from the previous page.

Response

Signals page.

signals
object[]
required
nextCursor
string | null
required